ValidationTask (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.repair

## Class ValidationTask

- java.lang.Object
- - com.google.common.util.concurrent.AbstractFuture<TreeResponse>
  - - org.apache.cassandra.repair.ValidationTask

- All Implemented Interfaces:
    com.google.common.util.concurrent.ListenableFuture<TreeResponse>, java.lang.Runnable, java.util.concurrent.Future<TreeResponse>

      public class ValidationTask
      extends com.google.common.util.concurrent.AbstractFuture<TreeResponse>
      implements java.lang.Runnable

  ValidationTask sends `ValidationRequest` to a replica. When a replica sends back message, task completes.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ValidationTask(RepairJobDesc desc, java.net.InetAddress endpoint, int gcBefore)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `run()` Send ValidationRequest to replica
    `void` | `treesReceived(MerkleTrees trees)` Receive MerkleTrees from replica node.

    - ### Methods inherited from class com.google.common.util.concurrent.AbstractFuture

      `addListener, cancel, get, get, interruptTask, isCancelled, isDone, set, setException, wasInterrupted`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ValidationTask

          public ValidationTask(RepairJobDesc desc,
                                java.net.InetAddress endpoint,
                                int gcBefore)

  - ### Method Detail

    - #### run

          public void run()

      Send ValidationRequest to replica
      Specified by:
        `run` in interface `java.lang.Runnable`

    - #### treesReceived

          public void treesReceived(MerkleTrees trees)

      Receive MerkleTrees from replica node.
      Parameters:
        `trees` - MerkleTrees that is sent from replica. Null if validation failed on replica node.

Copyright © 2018 The Apache Software Foundation